> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Developer Application

> Submits a new developer application with details like owner, name, description, and grants.



## OpenAPI

````yaml https://stash.seraph.si/json post /admin/developer/applications
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /admin/developer/applications:
    post:
      tags:
        - Admin
        - Developer
      summary: Create Developer Application
      description: >-
        Submits a new developer application with details like owner, name,
        description, and grants.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/admin.DeveloperApplicationBody'
        description: Developer application creation data
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/admin.DeveloperApplicationBody'
          description: Successfully created developer application
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid input body or missing owner ID from JWT
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    admin.DeveloperApplicationBody:
      properties:
        applied_at:
          type: string
        currentState:
          type: string
        description:
          type: string
        grants:
          items:
            type: string
          type: array
          uniqueItems: false
        id:
          type: string
        name:
          type: string
        owner:
          type: integer
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````